Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359316 - (Doc) Router deployment is failing consistently
Summary: (Doc) Router deployment is failing consistently
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS Container Converged 1.0
Assignee: Divya
QA Contact: Bhaskarakiran
URL:
Whiteboard:
Depends On:
Blocks: 1332130
TreeView+ depends on / blocked
 
Reported: 2016-07-22 19:35 UTC by khartsoe@redhat.com
Modified: 2016-11-23 23:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 13:48:39 UTC


Attachments (Terms of Use)

Description khartsoe@redhat.com 2016-07-22 19:35:36 UTC
Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 2 khartsoe@redhat.com 2016-07-22 19:57:58 UTC
Please add the following workaround as substeps to Step 7 (Execute ...to let the client communicate with the container) in "4.4. Setting up the Heketi Server":

If a router is not available, you may be able to setup port forwarding so that
heketi-cli can communicate with the Heketi service.  To achieve this, note
the Heketi service pod name by running the following command:
   $ oc get pods

Now you can forward the port on your local system to the pod.  In another
terminal on your local system type:
   $ oc port-forward <heketi pod name> 8080:8080

Return to the original terminal.

Test communication with the server:
   $ curl http://localhost:8080/hello
Hello from Heketi

This will forward your local port 8080 to the pod port 8080.  Now, setup
the Heketi server environment variable:
   $ export HEKETI_CLI_SERVER=http://localhost:8080

Get information from Heketi:
   $ heketi-cli topology info



Eng BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1347742

Comment 5 Bhaskarakiran 2016-07-27 09:49:53 UTC
Modificaitons done. Closing this.


Note You need to log in before you can comment on or make changes to this bug.